import Vue, { VNode } from 'vue';
import { UploadFile } from './type';
import { ClassName } from '../common';
import { UploadConfig } from '../config-provider/config-receiver';
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: UploadConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue, {
    target: any;
    dragActive: boolean;
}, {
    handleDrop(event: DragEvent): void;
    handleDragenter(event: DragEvent): void;
    handleDragleave(event: DragEvent): void;
    handleDragover(event: DragEvent): void;
    renderDefaultDragElement(): VNode;
    renderImage(): JSX.Element;
    renderUploading(): JSX.Element;
    reupload(e: MouseEvent): void;
    renderProgress(): JSX.Element;
}, {
    isImage: boolean;
    imageUrl: string;
    percent: number;
    inputName: string;
    classes: ClassName;
    size: number;
    showResultOperate: boolean;
}, {
    showUploadProgress: boolean;
    file: UploadFile;
    loadingFile: UploadFile;
    display: "file" | "custom" | "image" | "file-input";
    cancel: (e: MouseEvent) => void;
    trigger: (e: MouseEvent) => void;
    remove: (e: MouseEvent) => void;
    upload: (file: UploadFile, e: MouseEvent) => void;
    autoUpload: boolean;
}>;
export default _default;
